include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### ktouch (executable)

tde_add_executable( ktouch AUTOMOC

  SOURCES
        ktouchcoloreditor_dlg.ui
        ktouchlectureeditor_dlg.ui
        ktouchopenrequest_dlg.ui
        ktouchprefcolorslayout.ui
        ktouchprefgenerallayout.ui
        ktouchprefkeyboardlayout.ui
        ktouchpreftraininglayout.ui
        ktouchstatistics_dlg.ui
        ktouchstatuslayout.ui
        prefs.kcfgc
        ktouchchartwidget.cpp
        ktouchcolorscheme.cpp
        ktouch.cpp
        ktouchdefaults.cpp
        ktouchkeyboardwidget.cpp
        ktouchkeyconnector.cpp
        ktouchkey.cpp
        ktouchkeys.cpp
        ktouchlecture.cpp
        ktouchlectureeditor.cpp
        ktouchleveldata.cpp
        ktouchopenrequest.cpp
        ktouchslideline.cpp
        ktouchstatistics.cpp
        ktouchstatisticsdata.cpp
        ktouchstatus.cpp
        ktouchtrainer.cpp
        ktouchutils.cpp
        main.cpp
        ktouchcoloreditor.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdeeduplot-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES ktouchui.rc
    DESTINATION ${DATA_INSTALL_DIR}/ktouch
)

install(
    FILES ktouch.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)
